Retrieve source
curl --request GET \
--url https://api.piriod.com/sources/{id}/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/sources/{id}/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/sources/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gateway": "<string>",
"id": 123,
"customer": "<string>",
"usage": "single",
"status": "failed",
"amount": 123,
"description": "<string>",
"return_url": "<string>",
"gateway_data": {},
"client": {},
"metadata": {},
"card": {
"brand": "<string>",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123
},
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"detail": "Authentication credentials were not provided."
}Sources
Retrieve source
GET
/
sources
/
{id}
/
Retrieve source
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Response
The source.
A payment source: either a single-use intent (e.g. one-off bank transfer) or a reusable tokenization (e.g. saved card).
Gateway ID (e.g. transbank, stripe, ach_transfer).
Customer ID. Required for reusable sources.
Available options:
single, reusable Available options:
failed, pending, requires_authorization, waiting_authorization, consumed, chargeable, finalized Maximum string length:
256URL the payer is sent to after a redirect-flow tokenization.
Gateway-specific payload (e.g. redirect form fields, token).
Client metadata captured at creation time (IP, user agent, etc.).
Card details when the source represents a tokenized card.
Show child attributes
Show child attributes
